Subject: bug#746: Killed when starting modale dialog like pinentry

From: Klaus Ethgen <[email-masked]>
Date: Mon, 6 Mar 2023 21:40:54 +0100

Am Mo den  6. Mär 2023 um 21:23 schrieb Mark Hindley:
> You have a very non-standard installation. Where are all the -dmoN versions of
> packages from?

Debian Multimedia... http://www.deb-multimedia.org/

> Can you reproduce this on a vanilla Devuan installation? 

I don't have ones.. But the packages are für multimedia stuff.

> Also, I don't even see an xorg crash in the logs you sent -- it ends with
> successful exit. However, bb|hcb suggested on irc:

I also seen that. And that is what me makes to wonder.

>  <bb|hcb> I am just guessing - if the first X client exits - maybe the problem
>   is that there is no initial always on app started?

No. That is not the case. My X sessions are often long running and in
case of the laptop also over many suspends. I often start and end
programs. Mostly xterm, zathura, firefox, Lehreroffice, minetest,
geeqie, ... (you see, many stuff)

Only some dialogs kill X. I found the pinentry-qt and the new folder
dialog of geeqie for now.

Regards
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C